-- Demanda ModaSP-3034 - Criação das tabelas de Ocorrência do B2C

-- Tabela 1
			CREATE TABLE [dbo].[B2C_OCORRENCIA](
				[ID_OCORRENCIA] [int] NOT NULL,
				[CAIXA_VENDEDOR] [char](4) NOT NULL,
				[DATA_OCORRENCIA] [datetime] NOT NULL,
				[CODIGO_CLIENTE] [varchar](14) NOT NULL,
				[ID_TIPO_OCORRENCIA] [smallint] NOT NULL,
				[ID_STATUS_OCORRENCIA] [smallint] NOT NULL,
				[CODIGO_FILIAL_ORIGEM] [char](6) NOT NULL,
				[PEDIDO] [int] NOT NULL,
				[OBS] [text] NULL,
				[PEDIDO_TROCA] [int] NULL,
				[OPTION_TIPO_OCORRENCIA] [tinyint] NULL,
			 CONSTRAINT [XPKB2C_OCORRENCIA] PRIMARY KEY CLUSTERED 
			(
				[ID_OCORRENCIA] ASC
			)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 90) ON [PRIMARY]
			) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
			GO

